StreamBase C++ API 10.3.0.4

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
sb::StreamBaseEntityType Class Reference

A type of entity in a StreamBase catalog. More...

`#include <StreamBaseEntityType.hpp>`

## Public Types
enum | Type { STREAM = 1, SCHEMA = 2, OPERATOR = 3, WINDOW_SPEC = 4, CONTAINER = 5, TABLE = 6, INPUT_STREAMS = 100, OUTPUT_STREAMS = 101 }
| An enumeration of the types of entities stored in a catalog. More...

## Static Public Member Functions
static std::string | as_string (Type aType)
| Return a string naming the entity type. More...
static Type | as_enum (const std::string &aType, bool allow_plural=false)
| Parse a string as an entity type. More...

## Detailed Description

A type of entity in a StreamBase catalog.

## Member Enumeration Documentation

enum sb::StreamBaseEntityType::Type

An enumeration of the types of entities stored in a catalog.

Enumerator
STREAM | A stream.
SCHEMA | A schema.
OPERATOR | An operator.
WINDOW_SPEC | An window.
CONTAINER | A container.
TABLE | Pseudo-entity-type for tables.
INPUT_STREAMS | Pseudo-entity-type for input streams only (in listEntities()).
OUTPUT_STREAMS | Pseudo-entity-type for output streams only, i.e., streams with no operators downstream (in listEntities()).

## Member Function Documentation

static Type sb::StreamBaseEntityType::as_enum | ( | const std::string & | aType,
|  | bool | allow_plural = `false`
| ) |  |
| static

Parse a string as an entity type.

Parameters

  aType | the string to parse
  allow_plural | true if a plural version of the entity types (e.g., "streams" instead of "stream") is allowed

Exceptions

  StreamBaseException | if the entity type cannot be parsed

static std::string sb::StreamBaseEntityType::as_string | ( | Type | aType | ) |
| static

Return a string naming the entity type.

The documentation for this class was generated from the following file:

- StreamBaseEntityType.hpp